Campaigns

GET /public/v1/campaigns/{campaignId}

Retrieve a single campaign by ID. Workspace admins and owners can access other workspace members campaigns.

GET /public/v1/campaigns/{campaignId}

GET /public/v1/campaigns/{campaignId}

curl --request GET \
  --url 'https://api.joinvalley.co/public/v1/campaigns/{CAMPAIGNID}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "campaign": {
      "id": "<string>",
      "name": "<string>",
      "status": "<string>",
      "type": "<string>",
      "templated": true,
      "created_at": "<string>",
      "outreach_count_per_day": 1,
      "total_prospects": 1,
      "workspace_id": "<string>",
      "workspace_name": "<string>",
      "campaign_profiles_type": "<string>",
      "campaign_input_type": "<string>"
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • campaignId string required

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • campaign object
      + Show Child Attributes
      • id string
      • name string
      • status string
      • type string
      • templated boolean
      • created_at string
      • outreach_count_per_day number
      • total_prospects number
      • workspace_id string
      • workspace_name string
      • campaign_profiles_type string
      • campaign_input_type string nullable
      • total_prospects_contacted number
      • total_meetings_booked number
      • acceptance_rate number
      • response_rate number
      • campaign_owner_id string
      • campaign_owner_name string
      • sending_times object
        + Show Child Attributes
        • [key: string] any additional

          Additional arbitrary properties are allowed.

      • template object nullable
        + Show Child Attributes
        • id string
        • name string
      • writing_style object nullable
        + Show Child Attributes
        • id string
        • name string
      • workspace_product object nullable
        + Show Child Attributes
        • id string
        • name string